Loading...
Searching...
No Matches
chunks_to_symbols.h File Reference
`#include <gnuradio/digital/api.h>`
`#include <gnuradio/sync_interpolator.h>`
`#include <cstdint>`
Include dependency graph for chunks_to_symbols.h:

Go to the source code of this file.

## Classes

class | gr::digital::chunks_to_symbols< IN_T, OUT_T >
| Map a stream of unpacked symbol indexes to stream of float or complex constellation points in D dimensions (D = 1 by default). More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::digital

## Typedefs

typedef chunks_to_symbols< std::uint8_t, float > | gr::digital::chunks_to_symbols_bf
typedef chunks_to_symbols< std::uint8_t, gr_complex > | gr::digital::chunks_to_symbols_bc
typedef chunks_to_symbols< std::int16_t, float > | gr::digital::chunks_to_symbols_sf
typedef chunks_to_symbols< std::int16_t, gr_complex > | gr::digital::chunks_to_symbols_sc
typedef chunks_to_symbols< std::int32_t, float > | gr::digital::chunks_to_symbols_if
typedef chunks_to_symbols< std::int32_t, gr_complex > | gr::digital::chunks_to_symbols_ic